import {createElement} from "../../_global/scripts/helpers";
import './global-message.scss';
import GlobalMessage from "./global-message";

export const createGlobalMessage =
  ({
    type = 'alarming',
    message = 'Leider kommt es durch <a href="#">technische Wartungsmaßnahmen</a> am 2. Mai in der Zeit von 17:30–23:00 zu einer eingeschränkten Verfügbarkeit unserer Internetseite',
    icon = 'icon-info',
  }) => {
    const messageWrapper = createElement('div', ['global-message', type]);
    const inner = createElement('div', ['inner', icon], null, messageWrapper);
    createElement('p', [], message, inner);
    createElement('button', ['close'], null, inner);

    new GlobalMessage(messageWrapper);
    return messageWrapper;
  }